import { C as ControllerConfiguration, I as IntlController } from './intl-dc152b78.js';
import './messages-d5f471aa.js';
import { L as LocaleDescriptor, a as Locale } from './locales-22b40efa.js';
import './sources-02c94682.js';
import 'vue';
import './ErrorEvent-881212aa.js';
import '@formatjs/intl';
import 'intl-messageformat';
import './translateFunction-6f001285.js';
import '@braw/async-computed';
import '@formatjs/icu-messageformat-parser';

declare function createController<ControllerType>(initialConfiguration?: Partial<ControllerConfiguration<ControllerType>>, initialLocaleData?: Map<LocaleDescriptor, Locale>): IntlController<ControllerType>;

export { IntlController, createController };
