import { inject } from 'vue';
import { c as controllerKey } from './vue-intl-controller.631d1212.mjs';

function useI18n() {
  const controller = inject(controllerKey);
  if (controller == null) {
    throw new Error(
      "Controller is not available in this context. Has the plugin been installed?"
    );
  }
  return controller;
}

export { useI18n as u };
